Initiate a hosted upload
curl --request POST \
--url https://api.withsplendor.com/v1/ingest/sources/{source_key}/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-splendor-tenant-id: <x-splendor-tenant-id>' \
--data '
{
"content_type": "<string>",
"object_size_bytes": 1,
"filename": "<string>"
}
'import requests
url = "https://api.withsplendor.com/v1/ingest/sources/{source_key}/uploads"
payload = {
"content_type": "<string>",
"object_size_bytes": 1,
"filename": "<string>"
}
headers = {
"x-splendor-tenant-id": "<x-splendor-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-splendor-tenant-id': '<x-splendor-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({content_type: '<string>', object_size_bytes: 1, filename: '<string>'})
};
fetch('https://api.withsplendor.com/v1/ingest/sources/{source_key}/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bucket": "acme-uploads",
"expires_at": "2026-01-15T09:30:00Z",
"key": "uploads/ups_01H8Z3/data.jsonl",
"part_size_bytes": 8388608,
"required_headers": {},
"upload_id": "mpu_1",
"upload_mode": "multipart",
"upload_session_id": "ups_01H8Z3",
"upload_url": null
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Sources & ingest
Initiate a hosted upload
Starts a multipart upload to a hosted source and returns an upload session. Follow with requests to sign parts, then complete the upload to enqueue ingestion.
POST
/
v1
/
ingest
/
sources
/
{source_key}
/
uploads
Initiate a hosted upload
Authorizations
API token issued from the Splendor console.
Headers
Selects the tenant (workspace) the request acts within.
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Available options:
single, multipart ⌘I